109 lines
2.8 KiB
Diff
109 lines
2.8 KiB
Diff
Index: 2007-04-18/tools/check/Makefile
|
|
===================================================================
|
|
--- 2007-04-18.orig/tools/check/Makefile 2006-12-14 22:49:54.000000000 +0100
|
|
+++ 2007-04-18/tools/check/Makefile 2007-04-24 16:32:39.000000000 +0200
|
|
@@ -7,7 +7,7 @@ all: build
|
|
# Check this machine is OK for building on.
|
|
.PHONY: build
|
|
build:
|
|
- XENFB_TOOLS=$(XENFB_TOOLS) ./chk build
|
|
+ XENFB_TOOLS=$(XENFB_TOOLS) LIBXENAPI_BINDINGS=$(LIBXENAPI_BINDINGS) ./chk build
|
|
|
|
# Check this machine is OK for installing on.
|
|
# DO NOT use this check from 'make install' in the parent
|
|
@@ -15,7 +15,7 @@ build:
|
|
# copy rather than actually installing.
|
|
.PHONY: install
|
|
install:
|
|
- XENFB_TOOLS=$(XENFB_TOOLS) ./chk install
|
|
+ XENFB_TOOLS=$(XENFB_TOOLS) LIBXENAPI_BINDINGS=$(LIBXENAPI_BINDINGS) ./chk install
|
|
|
|
.PHONY: clean
|
|
clean:
|
|
Index: 2007-04-18/tools/check/check_curl
|
|
===================================================================
|
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
|
+++ 2007-04-18/tools/check/check_curl 2007-04-24 16:41:08.000000000 +0200
|
|
@@ -0,0 +1,38 @@
|
|
+#!/bin/sh
|
|
+# CHECK-BUILD CHECK-INSTALL
|
|
+
|
|
+if [ ! "$LIBXENAPI_BINDINGS" = "y" ]
|
|
+then
|
|
+ echo -n "unused, "
|
|
+ exit 0
|
|
+fi
|
|
+
|
|
+RC=0
|
|
+
|
|
+CURL_CONFIG="$(which curl-config)"
|
|
+tmpfile=$(mktemp)
|
|
+
|
|
+if test -z ${CURL_CONFIG}; then
|
|
+ RC=1
|
|
+else
|
|
+ ${CURL_CONFIG} --libs 2>&1 > /dev/null
|
|
+ RC=$?
|
|
+fi
|
|
+
|
|
+if test $RC -ne 0; then
|
|
+ echo "FAILED"
|
|
+ echo " *** curl-config is missing. "
|
|
+ echo " *** Please install curl-devel."
|
|
+elif ! ld $($CURL_CONFIG --libs) -o $tmpfile >/dev/null 2>&1; then
|
|
+ echo "FAILED"
|
|
+ echo " *** dependency libraries for curl are missing: "
|
|
+ RC=1
|
|
+ for i in $(ld $($CURL_CONFIG --libs) -o $tmpfile 2>&1 >/dev/null); do
|
|
+ case $i in
|
|
+ -l*) echo lib${i#-l}
|
|
+ esac
|
|
+ done
|
|
+fi
|
|
+rm -f $tmpfile
|
|
+
|
|
+exit $RC
|
|
Index: 2007-04-18/tools/check/check_xml2
|
|
===================================================================
|
|
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
|
|
+++ 2007-04-18/tools/check/check_xml2 2007-04-24 16:41:16.000000000 +0200
|
|
@@ -0,0 +1,38 @@
|
|
+#!/bin/sh
|
|
+# CHECK-BUILD CHECK-INSTALL
|
|
+
|
|
+if [ ! "$LIBXENAPI_BINDINGS" = "y" ]
|
|
+then
|
|
+ echo -n "unused, "
|
|
+ exit 0
|
|
+fi
|
|
+
|
|
+RC=0
|
|
+
|
|
+XML2_CONFIG="$(which xml2-config)"
|
|
+tmpfile=$(mktemp)
|
|
+
|
|
+if test -z ${XML2_CONFIG}; then
|
|
+ RC=1
|
|
+else
|
|
+ ${XML2_CONFIG} --libs 2>&1 > /dev/null
|
|
+ RC=$?
|
|
+fi
|
|
+
|
|
+if test $RC -ne 0; then
|
|
+ echo "FAILED"
|
|
+ echo " *** xml2-config is missing. "
|
|
+ echo " *** Please install libxml2-devel."
|
|
+elif ! ld $($XML2_CONFIG --libs) -o $tmpfile >/dev/null 2>&1; then
|
|
+ echo "FAILED"
|
|
+ echo " *** dependency libraries for xml2 are missing: "
|
|
+ RC=1
|
|
+ for i in $(ld $($XML2_CONFIG --libs) -o $tmpfile 2>&1 >/dev/null); do
|
|
+ case $i in
|
|
+ -l*) echo lib${i#-l}
|
|
+ esac
|
|
+ done
|
|
+fi
|
|
+rm -f $tmpfile
|
|
+
|
|
+exit $RC
|